Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jboss.subsystem
Enum Attribute

    java.lang.Object
      java.lang.Enum<Attribute>
          org.modeshape.jboss.subsystem.Attribute

All Implemented Interfaces:
  Serializable, Comparable<Attribute>

    public enum Attribute

extends Enum<Attribute>

Enumerates the XML attributes used in the ModeShape subsystem schema.

Enum Constant Summary
`ACCESS_TYPE`
`ALLOW_WORKSPACE_CREATION`
`ANALYZER_CLASSNAME`
`ANALYZER_MODULE`
`ANONYMOUS_ROLES`
`ANONYMOUS_USERNAME`
`ASYNC_MAX_QUEUE_SIZE`
`ASYNC_THREAD_POOL_SIZE`
`BATCH_SIZE`
`CACHE_CONTAINER`
`CACHE_CONTAINER_JNDI_NAME`
`CACHE_NAME`
`CHANNEL_NAME`
`CHUNK_SIZE`
`CLASSNAME`
`CLUSTER_NAME`
`CLUSTER_STACK`
`CONNECTION_FACTORY_JNDI_NAME`
`COPY_BUFFER_SIZE`
`DATA_CACHE_NAME`
`DATA_SOURCE_JNDI_NAME`
`DEFAULT_WORKSPACE`
`ENABLE_MONITORING`
`FORMAT`
`JNDI_NAME`
`LOCK_CACHE_NAME`
`LOCKING_STRATEGY`
`META_CACHE_NAME`
`MIN_VALUE_SIZE`
`MODE`
`MODULE`
`NAME`
`PATH`
`PATH_EXPRESSION`
`QUEUE_JNDI_NAME`
`READER_STRATEGY`
`REBUILD_UPON_STARTUP`
`REFRESH_PERIOD`
`RELATIVE_TO`
`RETRY_INIT_PERIOD`
`RETRY_MARKER_LOOKUP`
`SECURITY_DOMAIN`
`SOURCE_PATH`
`SOURCE_RELATIVE_TO`
`THREAD_POOL`
`UNKNOWN`
`USE_ANONYMOUS_IF_AUTH_FAILED`
`WORKSPACE_NAMES`

Method Summary
`static Attribute` | `forName(String localName)`
`String` | `getLocalName()` Get the local name of this element.
`static Attribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Attribute UNKNOWN

### ACCESS_TYPE

    public static final Attribute ACCESS_TYPE

### ALLOW_WORKSPACE_CREATION

    public static final Attribute ALLOW_WORKSPACE_CREATION

### ANALYZER_CLASSNAME

    public static final Attribute ANALYZER_CLASSNAME

### ANALYZER_MODULE

    public static final Attribute ANALYZER_MODULE

### ANONYMOUS_ROLES

    public static final Attribute ANONYMOUS_ROLES

### ANONYMOUS_USERNAME

    public static final Attribute ANONYMOUS_USERNAME

### ASYNC_THREAD_POOL_SIZE

    public static final Attribute ASYNC_THREAD_POOL_SIZE

### ASYNC_MAX_QUEUE_SIZE

    public static final Attribute ASYNC_MAX_QUEUE_SIZE

### BATCH_SIZE

    public static final Attribute BATCH_SIZE

### CACHE_CONTAINER

    public static final Attribute CACHE_CONTAINER

### CACHE_CONTAINER_JNDI_NAME

    public static final Attribute CACHE_CONTAINER_JNDI_NAME

### CACHE_NAME

    public static final Attribute CACHE_NAME

### CHANNEL_NAME

    public static final Attribute CHANNEL_NAME

### CHUNK_SIZE

    public static final Attribute CHUNK_SIZE

### CLASSNAME

    public static final Attribute CLASSNAME

### CLUSTER_NAME

    public static final Attribute CLUSTER_NAME

### CLUSTER_STACK

    public static final Attribute CLUSTER_STACK

### CONNECTION_FACTORY_JNDI_NAME

    public static final Attribute CONNECTION_FACTORY_JNDI_NAME

### COPY_BUFFER_SIZE

    public static final Attribute COPY_BUFFER_SIZE

### DATA_CACHE_NAME

    public static final Attribute DATA_CACHE_NAME

### DATA_SOURCE_JNDI_NAME

    public static final Attribute DATA_SOURCE_JNDI_NAME

### DEFAULT_WORKSPACE

    public static final Attribute DEFAULT_WORKSPACE

### ENABLE_MONITORING

    public static final Attribute ENABLE_MONITORING

### FORMAT

    public static final Attribute FORMAT

### JNDI_NAME

    public static final Attribute JNDI_NAME

### LOCK_CACHE_NAME

    public static final Attribute LOCK_CACHE_NAME

### LOCKING_STRATEGY

    public static final Attribute LOCKING_STRATEGY

### META_CACHE_NAME

    public static final Attribute META_CACHE_NAME

### MIN_VALUE_SIZE

    public static final Attribute MIN_VALUE_SIZE

### MODE

    public static final Attribute MODE

### MODULE

    public static final Attribute MODULE

### NAME

    public static final Attribute NAME

### PATH

    public static final Attribute PATH

### PATH_EXPRESSION

    public static final Attribute PATH_EXPRESSION

### QUEUE_JNDI_NAME

    public static final Attribute QUEUE_JNDI_NAME

### READER_STRATEGY

    public static final Attribute READER_STRATEGY

### REBUILD_UPON_STARTUP

    public static final Attribute REBUILD_UPON_STARTUP

### REFRESH_PERIOD

    public static final Attribute REFRESH_PERIOD

### RELATIVE_TO

    public static final Attribute RELATIVE_TO

### RETRY_MARKER_LOOKUP

    public static final Attribute RETRY_MARKER_LOOKUP

### RETRY_INIT_PERIOD

    public static final Attribute RETRY_INIT_PERIOD

### SECURITY_DOMAIN

    public static final Attribute SECURITY_DOMAIN

### SOURCE_PATH

    public static final Attribute SOURCE_PATH

### SOURCE_RELATIVE_TO

    public static final Attribute SOURCE_RELATIVE_TO

### THREAD_POOL

    public static final Attribute THREAD_POOL

### USE_ANONYMOUS_IF_AUTH_FAILED

    public static final Attribute USE_ANONYMOUS_IF_AUTH_FAILED

### WORKSPACE_NAMES

    public static final Attribute WORKSPACE_NAMES

Method Detail

### values

    public static Attribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute c : Attribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLocalName

    public String getLocalName()

  Get the local name of this element.

  Returns:
    the local name

### forName

    public static Attribute forName(String localName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.